Package net.shibboleth.idp.attribute.filter.matcher.impl

# Class ScriptedMatcher.MatcherScriptEvaluator

java.lang.Object
net.shibboleth.shared.scripting.AbstractScriptEvaluator
net.shibboleth.idp.attribute.filter.matcher.impl.ScriptedMatcher.MatcherScriptEvaluator

Enclosing class:
  ScriptedMatcher

private class ScriptedMatcher.MatcherScriptEvaluator extends AbstractScriptEvaluator
Evaluator bound to the Matcher semantic.

## Field Summary

### Fields inherited from class net.shibboleth.shared.scripting.AbstractScriptEvaluator

`DEFAULT_ENGINE`

## Constructor Summary

Constructors
Constructor
Description
`MatcherScriptEvaluator(EvaluableScript theScript)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Set<IdPAttributeValue>`
`execute(IdPAttribute attribute, AttributeFilterContext filterContext)`
Execution hook.
`protected void`
`prepareContext(ScriptContext scriptContext, Object... input)`

### Methods inherited from class net.shibboleth.shared.scripting.AbstractScriptEvaluator

`evaluate, finalizeContext, getCustomObject, getHideExceptions, getLogPrefix, getOutputType, getReturnOnError, setContextExtenders, setCustomObject, setHideExceptions, setLogPrefix, setOutputType, setReturnOnError`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatcherScriptEvaluator

public MatcherScriptEvaluator(@Nonnull EvaluableScript theScript)
Constructor.

Parameters:
  `theScript` - the script we will evaluate.

## Method Details

### execute

@Nullable @Unmodifiable @NotLive public Set<IdPAttributeValue> execute(@Nonnull IdPAttribute attribute, @Nonnull AttributeFilterContext filterContext)
Execution hook.

Parameters:
  `attribute` - attribute to be filtered
  `filterContext` - filter context
Returns:
  script result

### prepareContext

protected void prepareContext(@Nonnull ScriptContext scriptContext, @Nullable Object... input)

Specified by:
  `prepareContext` in class `AbstractScriptEvaluator`